### AutomationML Application Programming Interface

The **Aml.Engine** provides methods for processing [AutomationML](https://www.automationml.org) documents. AutomationML is a standardized data exchange format, developed to support the data exchange in automation systems engineering. The core of the engine is the CAEX class model. CAEX is an [IEC standard](https://webstore.iec.ch/publication/25442) and the basic model of AutomationML. CAEX uses XML to define the model schema, so the core of the **Aml.Engine** is an XML processor. The current implementation is based on LINQ to XML. LINQ to XML is a .NET in-memory XML programming interface that enables you to modify XML documents efficiently and easily. The classes are defined in the [System.Xml.Linq Namespace](https://docs.microsoft.com/en-us/dotnet/api/system.xml.linq?view=net-5.0). The **Aml.Engine** supports both CAEX version 2.15, which was the basis of AutomationML version 2.0, and CAEX Version 3.0, the basis of AutomationML 2.10. 

A detailed description with examples can be found in the [Wiki](https://github.com/AutomationML/AMLEngine2.1/wiki).

This package provides the core functions for editing AutomationML documents. Another package based on this is [Aml.Engine.Services](https://www.nuget.org/packages/Aml.Engine.Services/) with additional features for specific use cases such as the transformation of AutomationML versions.

